CREATE USER pyscan@localhost IDENTIFIED BY 'pyscan';
CREATE DATABASE pyscan;
GRANT CREATE, INSERT, SELECT, DELETE, UPDATE, DROP ON pyscan.* TO pyscan@localhost;
USE pyscan;
CREATE TABLE pyscan (
  ts double,
  snd_frame int(11),
  rcv_frame int(11),
  ip_ihl int(11),
  ip_tos int(11),
  ip_len int(11),
  ip_id int(11),
  ip_flags char(3),
  ip_ttl int(11),
  proto varchar(3),
  ip_src varchar(15),
  ip_dst varchar(15),
  sport int(11),
  dport int(11),
  ack_conn tinyint(1),
  rst_conn tinyint(1),
  snd_tcp_ece tinyint(1),
  snd_tcp_cwr tinyint(1),
  snd_tcp_urg tinyint(1),
  snd_tcp_ack tinyint(1),
  snd_tcp_psh tinyint(1),
  snd_tcp_rst tinyint(1),
  snd_tcp_syn tinyint(1),
  snd_tcp_fin tinyint(1),
  rcv_tcp_urg tinyint(1),
  rcv_tcp_ack tinyint(1),
  rcv_tcp_psh tinyint(1),
  rcv_tcp_rst tinyint(1),
  rcv_tcp_syn tinyint(1),
  rcv_tcp_fin tinyint(1),
  rcv_ip_id int(11),
  icmp_err int(11),
  seq bigint(20),
  ack bigint(20),
  win int(11),
  scan_type varchar(20),
  state varchar(20)
);
CREATE TABLE scan_type(
    id_scan_type INT,
    scan_type VARCHAR(15)
);
INSERT INTO scan_type(id_scan_type, scan_type) VALUES (10, 'TCP SYN');
INSERT INTO scan_type(id_scan_type, scan_type) VALUES (20, 'TCP CONNECT');
INSERT INTO scan_type(id_scan_type, scan_type) VALUES (30, 'TCP NULL');
INSERT INTO scan_type(id_scan_type, scan_type) VALUES (40, 'TCP FIN');
INSERT INTO scan_type(id_scan_type, scan_type) VALUES (50, 'TCP XMAS');
INSERT INTO scan_type(id_scan_type, scan_type) VALUES (60, 'TCP ACK');
INSERT INTO scan_type(id_scan_type, scan_type) VALUES (70, 'TCP RST');
INSERT INTO scan_type(id_scan_type, scan_type) VALUES (80, 'TCP CUSTOM SCAN');
INSERT INTO scan_type(id_scan_type, scan_type) VALUES (90, 'UDP');

